Trustfull Session

Trustfull Session

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Gets the Trustfull Session result for a web session collected by the JavaScript SDK: whether a real person or a bot is behind it, with a 0–1000 risk score.

To use this API, you must first initiate a request to the session Solution as described HERE
This initial call starts the enrichment and decoration process for the specified session.

Once the process has started, you can use this API to retrieve the results. If the decoration is not yet complete, the endpoint will return a response with a status of processing:

{
  "status": "processing",
  "message": "The request is still being processed"
}

When the decoration is complete, the API returns the enriched data.

Response

Following an example of the response:

{
    "score": 649,
    "score_cluster": "high",
    "reason_codes": "RS031,TS004",
    "transaction_id": "158db860-67e6-4ef7-8162-1a23a5e16cf5",
    "session_id": "session-123",
    "device_request_time": "2024-12-12T10:00:00Z",
    "app_key": "TFB-abc",
    "ips": "1.1.1.1,2.2.2.2",
    "header_user_agent": "Mozilla/5.0 (Macintosh; Intel Mac OS X 10_15_7) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/135.0.0.0 Safari/537.36",
    "header_language": "en-US,en;q=0.9,it;q=0.8",
    "header_referer": "https://trustfull.com/",
    "header_mime_types": "image/avif,image/webp,image/apng,image/svg+xml,image/*,*/*;q=0.8",
    "navigator_user_agent": "Mozilla/5.0 (Macintosh; Intel Mac OS X 10_15_7) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/135.0.0.0 Safari/537.36",
    "navigator_language": "en-US,en;q=0.9,it;q=0.8",
    "navigator_platform": "Linux x86_64",
    "navigator_plugins": "PDF Viewer,Chrome PDF Viewer",
    "navigator_mime_types": "application/pdf,text/pdf",
    "navigator_app_version": "5.0 (Macintosh; Intel Mac OS X 10_15_7) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/135.0.0.0 Safari/537.36",
    "navigator_web_driver": "false",
    "navigator_connection_rtt": "50",
    "window_outer_height": "960",
    "window_outer_width": "1280",
    "window_resolution": "1280x960",
    "viewport_resolution": "1280x960",
    "has_mime_prototype_anomaly": "false",
    "has_permissions_anomaly": "false",
    "has_plugins_prototype_anomaly": "false",
    "has_puppeteer_extra_stealth": "false",
    "mouse_movement": "10",
    "zero_movement_count": "10",
    "total_movements": "10",
    "click_count": "10",
    "wheel_count": "10",
    "time_elapsed_ms": "11000",
    "has_headless_app_version": "true",
    "has_headless_user_agent": "true",
    "user_agent_match": "true",
    "language_match": "true",
    "mime_types_match": "true",
    "has_window_outer_dimension_anomaly": "true",
    "battery_charging": "true",
    "battery_level": "92",
    "navigator_browser_name": "Chrome",
    "navigator_browser_version": "138.0.0.0",
    "navigator_type": "Desktop",
    "navigator_brand": "Apple",
    "navigator_model": "Generic Android Mobile",
    "mobile_phone_is_too_generic": "true",
    "navigator_model_commercial": "iPhone 7",
    "navigator_operating_system": "Windows 10",
    "timezone": "Europe/Rome",
    "video_card_has_gl": "true",
    "video_card_has_extension": "true",
    "video_card_renderer": "angle (apple, angle metal renderer: apple m3 pro, unspecified version)",
    "video_card_vendor": "google inc. (apple)",
    "has_ai_agent": "true",
    "has_automated_browser": "true",
    "has_spoofed_device": "true",
    "has_suspicious_resolution": "true",
    "has_valid_video_card": "true",
    "window_viewport_dimension_match": "true",
    "font_list": "[\"Arial\",\"Verdana\",\"Times New Roman\"]",
    "supported_bluetooth": "true",
    "navigator_connection_effective_type": "4g",
    "navigator_connection_downlink": "10",
    "navigator_device_memory": "10",
    "navigator_hardware_concurrency": "10",
    "navigator_max_touch_points": "10",
    "navigator_platform_version": "10.0.0",
    "font_detected_os": "Windows",
    "font_detected_os_prediction_probability": "Windows",
    "font_detected_os_probabilities": "Windows",
    "media_type_detected_browser": "Windows",
    "media_type_detected_browser_prediction_probability": "Windows",
    "media_type_detected_browser_probabilities": "Windows",
    "permissions_detected_browser": "Windows",
    "permissions_detected_browser_prediction_probability": "Windows",
    "permissions_detected_browser_probabilities": "Windows",
    "detected_os_platform_match": "true",
    "detected_os_user_agent_match": "true",
    "detected_browser_name": "Chrome",
    "detected_browser_name_match": "true",
    "ai_agent_name": "ChatGPT",
    "ip": "192.168.0.1",
    "ip_black_list_count": 5,
    "ip_city": "New York",
    "ip_company_domain": "google.com",
    "ip_connection_speed": "company/T1",
    "ip_connection_type": "Reserved",
    "ip_country": "United States",
    "ip_country_code": "US",
    "ip_css_count": 3,
    "ip_css_in_days": 7,
    "ip_is_hosting": true,
    "ip_is_mobile": false,
    "ip_isp": "Comcast",
    "ip_is_proxy": false,
    "ip_is_relay": false,
    "ip_is_tor": false,
    "ip_is_valid_format": true,
    "ip_is_vpn": false,
    "ip_lat": "40.7128",
    "ip_lon": "-74.0060",
    "ip_proxy_name": "ProxyXYZ",
    "ip_proxy_type": "datacenter",
    "ip_timezone": "CET",
    "ip_timezone_request_time": "night",
    "ip_xbl_count": 2,
    "ip_xbl_in_days": 2,
    "ip_zip": "10001",
    "has_suspicious_browser_timezone_format": true,
    "permissions_detected_browser_navigator_match": true,
    "media_type_detected_browser_navigator_match": true
}

The following fields can be found under the "domain" object

nametype
score?integer

A number ranging from 0 to 1000 that represents the quality score of the session

Ex: 649
score_cluster?string

A cluster categorization that summarizes the quality score of the session

Ex: high

Enum: very_low,low,review,high,very_high
reason_codes?string

Comma-separated risk and trust signal codes fired by the session explain chain.

Ex: RS031,TS004
transaction_id?string

Unique identifier for the transaction

Ex: 158db860-67e6-4ef7-8162-1a23a5e16cf5
session_id?string

Session identifier for the login interaction

Ex: session-123
device_request_time?string

The timestamp of the request from the device

Ex: 2024-12-12T10:00:00Z
app_key?string

The application key associated with the request

Ex: TFB-abc
ips?string

List of IP addresses associated with the session

Ex: 1.1.1.1,2.2.2.2
header_user_agent?string

The User Agent sent by headers

Ex: Mozilla/5.0 (Macintosh; Intel Mac OS X 10_15_7) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/135.0.0.0 Safari/537.36
header_language?string

The Language sent by headers

Ex: en-US,en;q=0.9,it;q=0.8
header_referer?string

The Referer sent by headers

Ex: https://trustfull.com/
header_mime_types?string

The MimeType sent by headers

Ex: image/avif,image/webp,image/apng,image/svg+xml,image/,/*;q=0.8
navigator_user_agent?string

The User Agent detected by the SDK

Ex: Mozilla/5.0 (Macintosh; Intel Mac OS X 10_15_7) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/135.0.0.0 Safari/537.36
navigator_language?string

The Language detected by the SDK

Ex: en-US,en;q=0.9,it;q=0.8
navigator_platform?string

The OS detected by the SDK

Ex: Linux x86_64
navigator_plugins?string

The list of plugins detected by the SDK

Ex: PDF Viewer,Chrome PDF Viewer
navigator_mime_types?string

The MimeType detected by the SDK

Ex: application/pdf,text/pdf
navigator_app_version?string

The browser version detected by the SDK

Ex: 5.0 (Macintosh; Intel Mac OS X 10_15_7) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/135.0.0.0 Safari/537.36
navigator_web_driver?boolean

Indicates if a webdriver has been detected

Ex: false
navigator_connection_rtt?integer

The timing of RTT connection detected by the SDK

Ex: 50
window_outer_height?integer

The outer height of the window

Ex: 960
window_outer_width?integer

The outer width of the window

Ex: 1280
window_resolution?string

The window resolution

Ex: 1280x960
viewport_resolution?string

The viewport resolution

Ex: 1280x960
has_mime_prototype_anomaly?boolean

Indicates if the SDK detected a mimetype anomaly

Ex: false
has_permissions_anomaly?boolean

Indicates if the SDK detected a permission anomaly

Ex: false
has_plugins_prototype_anomaly?boolean

Indicates if the SDK detected a plugins anomaly

Ex: false
has_puppeteer_extra_stealth?boolean

Indicates if the SDK detected the extra-stealth puppetter plugin

Ex: false
mouse_movement?integer

The number of mouse movements within the browser

Ex: 10
zero_movement_count?integer

The number of anomaly mouse movements

Ex: 10
total_movements?integer

The total number of mouse movements

Ex: 10
click_count?integer

The number of mouse clicks on page

Ex: 10
wheel_count?integer

The number of mouse scroll events

Ex: 10
time_elapsed_ms?integer

The delay between the page load event and the trigger of the SDK

Ex: 11000
has_headless_app_version?boolean

Indicates if an headless app version has been detected

Ex: true
has_headless_user_agent?boolean

Indicates if an headless user agent has been detected

Ex: true
user_agent_match?boolean

Indicates if there's a match with user agents detected

Ex: true
language_match?boolean

Indicates if there's a match with languages detected

Ex: true
mime_types_match?boolean

Indicates if there's a match with mime types detected

Ex: true
has_window_outer_dimension_anomaly?boolean

Indicates if we detected an anomaly about window dimensions

Ex: true
battery_charging?boolean

Indicates if a charging battery has been detected

Ex: true
battery_level?integer

The battery level of the device

Ex: 92
navigator_browser_name?string

The browser name detected from the navigator

Ex: Chrome
navigator_browser_version?string

The browser version detected from the navigator

Ex: 138.0.0.0
navigator_type?string

The type of the navigator

Ex: Desktop
navigator_brand?string

The brand of the navigator

Ex: Apple
navigator_model?string

The model of the navigator

Ex: Generic Android Mobile
mobile_phone_is_too_generic?boolean

A flag indicating whether the combination of navigator type, brand, model and operative system refers to a too generic device.

Ex: true
navigator_model_commercial?string

The commercial model of the navigator

Ex: iPhone 7
navigator_operating_system?string

The operating system of the navigator

Ex: Windows 10
timezone?string

The timezone detected

Ex: Europe/Rome
video_card_has_gl?boolean

Indicates if the GL extensions has been detected from the video card

Ex: true
video_card_has_extension?boolean

Indicates if extensions has been detected from the video card

Ex: true
video_card_renderer?string

The video card renderer

Ex: angle (apple, angle metal renderer: apple m3 pro, unspecified version)
video_card_vendor?string

The video card vendor

Ex: google inc. (apple)
has_ai_agent?boolean

If an AI agent has been detected

Ex: true
has_automated_browser?boolean

If a browser automation has been detected

Ex: true
has_spoofed_device?boolean

If a device spoofing has been detected

Ex: true
has_suspicious_resolution?boolean

If a suspicious resolution has been detected

Ex: true
has_valid_video_card?boolean

If a valid video card has been detected

Ex: true
window_viewport_dimension_match?boolean

If there is a match between the viewport and the window

Ex: true
font_list?string

The list of fonts detected

Ex: ["Arial","Verdana","Times New Roman"]
supported_bluetooth?boolean

Indicates if the bluetooth is supported

Ex: true
navigator_connection_effective_type?string

The connection type of the navigator

Ex: 4g
navigator_connection_downlink?integer

The detected effective bandwidth estimate in megabits per second

Ex: 10
navigator_device_memory?integer

The detected memory in gigabytes of the navigator

Ex: 10
navigator_hardware_concurrency?integer

The detected number of logical processors

Ex: 10
navigator_max_touch_points?integer

The detected the maximum number of simultaneous touch contact points

Ex: 10
navigator_platform_version?string

The detected platform version

Ex: 10.0.0
font_detected_os?string

The OS inferred by installed fonts

Ex: Windows
font_detected_os_prediction_probability?number float

The probability of OS inferred by installed fonts

Ex: Windows
font_detected_os_probabilities?string

A JSON containing the probabilities of each possible OS predicted using installed fonts

Ex: Windows
media_type_detected_browser?string

The browser inferred by supported media types

Ex: Windows
media_type_detected_browser_prediction_probability?number float

The probability of browser inferred by supported media types

Ex: Windows
media_type_detected_browser_probabilities?string

A JSON containing the probabilities of each possible browser predictable by supported media type

Ex: Windows
permissions_detected_browser?string

The browser inferred by permissions settings

Ex: Windows
permissions_detected_browser_prediction_probability?number float

The probability of browser inferred by permissions settings

Ex: Windows
permissions_detected_browser_probabilities?string

A JSON containing the probabilities of each possible browser predictable by supported media type

Ex: Windows
detected_os_platform_match?boolean

Indicates if the detected platform matches

Ex: true
detected_os_user_agent_match?boolean

Indicates if the detected OS matches

Ex: true
detected_browser_name?string

The browser name detected by multiple signals

Ex: Chrome
detected_browser_name_match?boolean

Indicates if the detected browser name navigator and detected browser name matches

Ex: true
ai_agent_name?string

The name of the detected AI agent

Ex: ChatGPT
ip?string

IP address of the login event

Ex: 192.168.0.1
ip_black_list_count?integer

The number of providers that have flagged this IP as spam

Ex: 5
ip_city?string

City associated with the IP address

Ex: New York
ip_company_domain?string

The name of the domain of the company that owns the domain, if found

Ex: google.com
ip_connection_speed?string

Internet connection speed associated to the ip address:
- company/T1
- broadband/cable/fiber
- mobile


Ex: company/T1

Enum: company/T1,broadband/cable/fiber,mobile
ip_connection_type?string

Usage type classification of ISP or company:
- Commercial
- Content Delivery Network
- Fixed Line
- Mobile ISP
- Reserved
- University / College / School


Ex: Reserved

Enum: Commercial,Content Delivery Network,Fixed Line,Mobile ISP,Reserved,University / College / School
ip_country?string

Country name associated with the IP address

Ex: United States
ip_country_code?string

Country associated with the IP address, ISO 3166 alpha-2

Ex: US
ip_css_count?integer

The number of times this IP address has been reported in a Combined Spam Sources (CSS)

Ex: 3
ip_css_in_days?integer

The how many days has passed since the most recent report in a Exploits Blocklist (XBL). Recency indicates more accurate data.

Ex: 7
ip_is_hosting?boolean

Indicates if the IP address is an hosting provider

Ex: true
ip_is_mobile?boolean

Indicates if the IP address is associated with a mobile connection

Ex: false
ip_isp?string

Internet service provider associated with the IP address

Ex: Comcast
ip_is_proxy?boolean

Indicates if the IP address is a proxy

Ex: false
ip_is_relay?boolean

Indicates if the IP address is a relay

Ex: false
ip_is_tor?boolean

Indicates if the IP address is part of the Tor network

Ex: false
ip_is_valid_format?boolean

Indicates if the IP address is in a valid format

Ex: true
ip_is_vpn?boolean

Indicates if the IP address is associated with a VPN

Ex: false
ip_lat?string

Latitude of the location associated with the IP address

Ex: 40.7128
ip_lon?string

Longitude of the location associated with the IP address

Ex: -74.0060
ip_proxy_name?string

Name of the proxy associated with the IP address, if any

Ex: ProxyXYZ
ip_proxy_type?string

When the IP address is a Proxy, indicates the type of Proxy

Ex: datacenter

Enum: datacenter,residential
ip_timezone?string

The Timezone the IP address belongs to

Ex: CET
ip_timezone_request_time?string

Time of the day the user is requesting your service

Ex: night

Enum: morning,afternoon,evening,night
ip_xbl_count?integer

The number of times this IP address has been reported in a Exploits Blocklist (XBL)

Ex: 2
ip_xbl_in_days?integer

The how many days has passed since the most recent report in a Exploits Blocklist (XBL). Recency indicates more accurate data.

Ex: 2
ip_zip?string

ZIP code associated with the IP address

Ex: 10001
has_suspicious_browser_timezone_format?boolean

When browser returns a non IANA Timezone it usually indicates a non standard environment or a manipulated browser.

Ex: true
permissions_detected_browser_navigator_match?boolean

A flag indicating when the browser engine inferred from permissions matches with sessions metadata.

Ex: true
media_type_detected_browser_navigator_match?boolean

A flag indicating when the browser engine inferred from media type matches with sessions metadata.

Ex: true

Status Codes

CodeTypeDescription
200-The request was successfully executed and the operation was successful
202-The request is still being processed
403CLIENTThe request was not processed because there was an issue with the authentication
404CLIENTThe requested resource could not be found. This can happen if the session_id does not exist.
401CLIENTThis may happen if you correctly populated the API key field but the key is either incorrect or not enabled.
429CLIENTIndicates the user has sent too many requests in a given amount of time
500SERVERThis is a generic error indicating a server-side problem.
504SERVERGateway timeout, the server took too much time to response and closed the connection. In most cases is safe to retry this kind of transaction
Path Params
string
required
Headers
string
required
Response

Language
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json